> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user onboarding status



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/billing/onboarding-status
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/onboarding-status:
    get:
      tags:
        - Billing
      summary: Get user onboarding status
      operationId: getV1BillingOnboarding-status
      parameters: []
      responses:
        '200':
          description: Onboarding status
          content:
            application/json:
              schema:
                type: object
                properties:
                  isOnboarded:
                    type: boolean
                  hasSubscription:
                    type: boolean
                  subscription:
                    type: object
                    nullable: true
              example:
                isOnboarded: true
                hasSubscription: true
                subscription:
                  plan_id: 1
                  status: active
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````